Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232413 - imwcs (wcstools) segmentation fault
Summary: imwcs (wcstools) segmentation fault
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wcstools
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 11:43 UTC by Guillermo
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-20 09:24:18 UTC


Attachments (Terms of Use)
Proposed patch (deleted)
2007-03-20 09:22 UTC, Sergio Pascual
no flags Details | Diff

Description Guillermo 2007-03-15 11:43:54 UTC
Description of problem:

The wcstools task "imwcs" returns segmentation fault

Version-Release number of selected component (if applicable):

wcstools-3.6.7-1.fc6

How reproducible:

Always 

Steps to Reproduce:
1. download the image (http://legolax.fis.ucm.es/~gbc/test.fits)
2. run "imwcs -c sdss -v -w test.fits"
3. Enjoy your segmentation fault
  
Actual results:
Segmentation fault

Expected results:
Image header updated with new wcs solution

Additional info:
download test.fits from http://legolax.fis.ucm.es/~gbc/test.fits (~1M)

Comment 1 Sergio Pascual 2007-03-16 17:55:46 UTC
The test FITS file can be downloaded from here.

http://t-rex.fis.ucm.es/~spr/test.fits.gz

Additionally, I have tested that the file is valid
(http://fits.gsfc.nasa.gov/fits_verify.html) and that the problem appears also
in wcstools 3.6.8

Comment 2 Sergio Pascual 2007-03-20 09:22:06 UTC
Created attachment 150469 [details]
Proposed patch

Comment 3 Sergio Pascual 2007-03-20 09:24:18 UTC
This patch seems to fix the problem. Anyway I will comminicate the problem upstream.


Note You need to log in before you can comment on or make changes to this bug.